+ Post New Thread
Page 3 of 583 FirstFirst 1 2 3 4 5 13 53 103 503 ... LastLast
Threads 51 to 75 of 14552

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 50,063
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 55,511
    18th Sep 2006 10:46 pm Go to last post
  1. How to laytrans multi cad file?

    I have 5 layer in 100 cad file So i use command "laytrans" to change this "5 layer" to 5 other layer But i have to use command "laytrans" 100 times How to i can use only one command? Help me...

    Started by bienda‎, 9th Aug 2016 01:36 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 369
    17th Aug 2016 03:24 am Go to last post
  2. Question : Select objects on the reference file to be Reloaded

    Hello ! I see a lisp about reload xref , I find a question. (Defun C:xref_reload ( / rnames i e elist rname) (setvar "cmdecho" 0) (princ "\nSelect objects on the...

    Started by DuanJinHui‎, 15th Aug 2016 10:14 am
    • Replies: 9
    • Views: 291
    16th Aug 2016 05:06 pm Go to last post
  3. Question Find All Text That Does Not Have Text Width Factor = 1.0 Then Change Font

    I am looking for a way to find ALL text that does not have a TEXT WIDTH FACTOR (TWF) = 1.0. Then I want to evaluate the current TEXT WIDTH FACTOR setting and substitute a different font with a TWF =...

    Started by THansen‎, 9th Aug 2016 07:46 pm
    • Replies: 9
    • Views: 393
    16th Aug 2016 02:27 pm Go to last post
  4. Help me create LISP routine to remove duplicates!

    Ok before anything else please bare with me on this one, the file i uploaded is just a super tiny part of my workload for this month the yellow polylines are extracted from MapInfo. the problem is,...

    Started by ktbjx‎, 16th Aug 2016 04:09 am
    • Replies: 3
    • Views: 234
    16th Aug 2016 01:09 pm Go to last post
  5. Find high and low point on a surface

    I am trying to write a routine that would find the high and low point on an AutoCAD surface. There a few problems that I am noticing when writing this. 1) When I do a dump on the surface I get...

    Started by broncos15‎, 8th Aug 2016 06:00 pm
    3 Pages
    1 2 3
    • Replies: 25
    • Views: 684
    16th Aug 2016 11:01 am Go to last post
  6. Delete all Wipeouts within a Drawing including Blocks

    Hi I'm looking for a lisp routine to delete all wipeouts within Model space. It would need to delete wipeouts within blocks also. Does anybody know of such a lisp already out there? Thanks ...

    Started by Bobzy20‎, 20th Nov 2015 03:50 pm
    5 Pages
    1 2 3 ... 5
    • Replies: 40
    • Views: 1,945
    16th Aug 2016 09:22 am Go to last post
  7. Annotative text conversion

    Does anyone have a LISP that will help change annotative text to non annotative text? I can just do a quick select and change the style, but I'd like to be able to set the text height of each bit of...

    Started by Glen Smith‎, 21st Oct 2010 07:45 pm
    2 Pages
    1 2
    • Replies: 16
    • Views: 4,106
    16th Aug 2016 09:18 am Go to last post
  8. Code's system variables

    Hi guys, I was trying to find the shortest way to store and reset a list of system variables. However I'm not a list manipulation guru so I need some help with the mapcar and lambda functions:...

    Started by Grrr‎, 13th Aug 2016 07:20 pm
    • Replies: 6
    • Views: 305
    15th Aug 2016 08:46 pm Go to last post
  9. Delete entity in nested block

    Hello I would like to have a lisp whith the possibility to delete entities in nested block. (without going inside the block) Thanks

    Started by maksolino‎, 3rd May 2012 07:53 pm
    • Replies: 6
    • Views: 2,567
    15th Aug 2016 11:40 am Go to last post
  10. Single Att rotate

    Hello, I have a lisp that rotates the attributes from a selected block. Can it be changed that only the selected attributes rotates and not all of them. There are multiple attributes in a block and...

    Started by pmxcad‎, 11th Aug 2016 09:55 pm
    • Replies: 6
    • Views: 278
    15th Aug 2016 04:19 am Go to last post
  11. Drawing Replace Drawing Text from Excel file

    How to Replace Drawing Text (Shown in YELLOW COLOR) with Excel Text (Shown in YELLOW COLOR) using LISP or VBA. Please Help me. Thanks

    Started by RashidAziz‎, 12th Aug 2016 03:24 pm
    • Replies: 2
    • Views: 234
    14th Aug 2016 06:27 pm Go to last post
  12. New UCS referance to world UCS

    Can we find out the coordinates of new UCS referance to World UCS.

    Started by wimal‎, 13th Aug 2016 05:16 pm
    • Replies: 3
    • Views: 222
    14th Aug 2016 04:20 am Go to last post
  13. Plot to PDF and Combine into one file

    All, I need some help with this PDF plot lisp that was created at work, this lisp was created to take material list sheets PDF them and drop them into the source folder with the sheet name as the...

    Started by BrianTFC‎, 11th Aug 2016 01:34 pm
    combine, lisp, pdf, plot, print
    • Replies: 5
    • Views: 280
    14th Aug 2016 02:07 am Go to last post
  14. Help to amend this LISP

    The LISP below I googled will list the entity layer name & type including its block name & nested to what level. (DEFUN C:XS ( / NLVL ) (SETQ NENT (NENTSEL)) (SETQ EN (CAR NENT)) (SETQ ENT...

    Started by ctrlaltdel‎, 12th Aug 2016 06:51 am
    • Replies: 1
    • Views: 209
    13th Aug 2016 06:45 am Go to last post
  15. A Gentle Nudge In The Right Direction

    Hello, As an exercise I am trying another method within a lisp. I used a list to check/create layers and it got me thinking I could do more. (setq layLst '( (("CNC_DRILL-.10-PLEX" ...

    Started by PDuMont‎, 12th Aug 2016 12:50 pm
    • Replies: 9
    • Views: 243
    13th Aug 2016 06:31 am Go to last post
  16. Sum of numbers

    I have found some really great lisps that do a great job of adding a series of numbers in (dtext, mtext, mleaders, etc), but have not found a lisp that will add all if commas are being used. I would...

    Started by bacad‎, 11th Aug 2016 05:14 am
    • Replies: 9
    • Views: 361
    12th Aug 2016 11:06 pm Go to last post
  17. Can't get verticies of viewport

    So, this is a weird problem. I can't get the vertices of the polyline that makes up a non-rectangular viewport. To replicate my problem, start with a rectangular viewport, rotate it in the paper...

    Started by alm865‎, 11th Aug 2016 12:14 pm
    • Replies: 8
    • Views: 409
    12th Aug 2016 06:52 pm Go to last post
  18. Bring over Layer Descriptions with Layer Translate

    The Layertranslate command is extremely useful; however, I have noticed one glitch, it doesn't bring over the layer descriptions. Is there a quick way via LISP to accomplish the second task of...

    Started by broncos15‎, 12th Aug 2016 06:09 pm
    • Replies: 0
    • Views: 141
    12th Aug 2016 06:09 pm Go to last post
  19. Editing/Deleting Layout Title blocks externally of AutoCAD

    Good Morning Folks! I trust you are all well? I apologise in advance if this is not posted correctly. I'm new to this forum as I signed up for some assistance on a particular thought I'm having...

    Started by Alexw89‎, 28th Jul 2016 10:50 am
    2 Pages
    1 2
    • Replies: 14
    • Views: 627
    12th Aug 2016 04:19 am Go to last post
  20. Autoselect nearest closed polyline that surrounds text entity

    Hi All, I'm after an Autolisp function that basically does the following: User selects a text Script finds nearest closed polyline that the text's insertion point lies inside I.e. Given a...

    Started by alm865‎, 2nd Aug 2016 08:01 am
    3 Pages
    1 2 3
    • Replies: 20
    • Views: 723
    11th Aug 2016 12:14 pm Go to last post
  21. Question Polylines length

    Asking for a help from lisp Gurus : Here is a file with blocks with attributes wich define the position, the quantity and lenght of the rebar ( polyline ); in this file is also the result for...

    Started by sergiu_ciuhnenco‎, 10th Aug 2016 10:54 am
    • Replies: 7
    • Views: 341
    11th Aug 2016 09:48 am Go to last post
  22. "Select all that crosses in multiple boxes But omit the box in the selection" lisp

    Been using this "select in cross box" lisp by Tharwat & is good. But I have 2 request. 1. Please allow to able to select multiple box 2. After selecting everything in the multiple cross box,...

    Started by Tripledot‎, 13th Jun 2016 01:44 am
    2 Pages
    1 2
    • Replies: 15
    • Views: 673
    11th Aug 2016 09:24 am Go to last post
  23. Exclamation Convert polyline-circle to circle

    i am new to all of this. would love to be able to remove all or most vertex's for any and all of my artwork. as for now i need to remove them from a circle. i do not know what the codes are for or...

    Started by Billy V‎, 8th Aug 2016 09:25 pm
    3 Pages
    1 2 3
    • Replies: 25
    • Views: 652
    11th Aug 2016 02:28 am Go to last post
  24. Change a specific TAG within a block of a drawing

    I've been trying to find existing lisp routines to do the following for a while now (off and on). While I have found some that will change values of Attributes or the text width for every piece of...

    Started by noslenac‎, 9th Aug 2016 11:49 pm
    attributes, block, tags, text, width factor
    • Replies: 8
    • Views: 281
    10th Aug 2016 06:56 pm Go to last post
  25. block spacing lisp

    Good morning everyone. I have a question regarding an idea for a lisp. I am wondering if this is possible, or something to good to be true. I work at a solar panel racking company, we use CAD...

    Started by drew4748‎, 26th Aug 2014 12:46 pm
    2 Pages
    1 2
    • Replies: 19
    • Views: 2,919
    10th Aug 2016 02:13 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts